 <!DOCTYPE html>
{% load staticfiles %}
<html lang="en">
<head>
	<title>GoldenEye</title>
<meta http-equiv="Content-type" content="text/html;charset=UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1"/>
  <link rel="icon" href="{% static 'images/logo-head.PNG' %}">
<!-- Styles -->
<style>
#chartdiv {
  width: 100%;
  height: 500px;
}
 
</style>

<!-- Resources -->
<script src="https://www.amcharts.com/lib/4/core.js"></script>
<script src="https://www.amcharts.com/lib/4/maps.js"></script>
<script src="https://www.amcharts.com/lib/4/geodata/worldLow.js"></script>
<script src="https://www.amcharts.com/lib/4/themes/animated.js"></script>

<!-- Chart code -->
<script>
var countries={{countries|safe}}
am4core.ready(function() {
// Themes begin
am4core.useTheme(am4themes_animated);
// Themes end

/* Create map instance */
var chart = am4core.create("chartdiv", am4maps.MapChart);

/* Set map definition */
chart.geodata = am4geodata_worldLow;

/* Set projection */
chart.projection = new am4maps.projections.NaturalEarth1();
chart.panBehavior = "move";
 chart.backgroundSeries.mapPolygons.template.polygon.fill = am4core.color("#01053c");
chart.backgroundSeries.mapPolygons.template.polygon.fillOpacity = 1;
/* Create map polygon series */
var polygonSeries = chart.series.push(new am4maps.MapPolygonSeries());

/* Make map load polygon (like country names) data from GeoJSON */
polygonSeries.useGeodata = true;
polygonSeries.calculateVisualCenter = true;

var labelSeries = chart.series.push(new am4maps.MapImageSeries());
var labelTemplate = labelSeries.mapImages.template.createChild(am4core.Label);
labelTemplate.horizontalCenter = "middle";
labelTemplate.verticalCenter = "middle";
labelTemplate.fontSize = 12;
labelTemplate.fill = "#FFFFFF";
labelTemplate.nonScaling = true;
labelTemplate.interactionsEnabled = false;


polygonSeries.events.on("ready", function () {
 countries.forEach(function(i) {	
  var country = polygonSeries.getPolygonById(i)
	country.isActive=true
	var label = labelSeries.mapImages.create();
    var state = i;
    label.latitude = country.visualLatitude;
    label.longitude = country.visualLongitude;
    label.children.getIndex(0).text = state; 
});
  
});

chart.events.on("ready", function(ev) {
  // Init extremes
  var north, south, west, east;

  // Find extreme coordinates for all pre-zoom countries
  for(let i = 0; i < countries.length; i++) {
    var country = polygonSeries.getPolygonById(countries[i]);
    if (north == undefined || (country.north > north)) {
      north = country.north;
    }
    if (south == undefined || (country.south < south)) {
      south = country.south;
    }
    if (west == undefined || (country.west < west)) {
      west = country.west;
    }
    if (east == undefined || (country.east > east)) {
      east = country.east;
    }
    country.isActive = true
  }

  // Pre-zoom
  chart.zoomToRectangle(north, east, south, west, 1, true);
});
/* Configure series */
var polygonTemplate = polygonSeries.mapPolygons.template;
polygonTemplate.applyOnClones = true;
polygonTemplate.togglable = true;
polygonTemplate.tooltipText = "{name}";
polygonTemplate.nonScalingStroke = true;
polygonTemplate.strokeOpacity = 0.5;
polygonTemplate.fill = chart.colors.getIndex(0);
var lastSelected;
var as = polygonTemplate.states.create("active");
as.properties.fill = am4core.color("#7B3625");
 

polygonTemplate.events.on("hit", function(ev) {
  console.log(ev.target.dataItem.dataContext.id)
if(countries.includes(ev.target.dataItem.dataContext.id )){
parent.window.location.href="http://35.226.69.237/"+ev.target.dataItem.dataContext.id  
}
  })

/* Create selected and hover states and set alternative fill color */
var ss = polygonTemplate.states.create("active");
ss.properties.fill = chart.colors.getIndex(2);

var hs = polygonTemplate.states.create("hover");
hs.properties.fill = chart.colors.getIndex(4);

// Hide Antarctica

// Zoom control
var graticuleSeries = chart.series.push(new am4maps.GraticuleSeries());
graticuleSeries.mapLines.template.line.stroke = am4core.color("#67b7dc");
graticuleSeries.mapLines.template.line.strokeOpacity = 0.2;
graticuleSeries.fitExtent = false;
 
// Zoom control
chart.zoomControl = new am4maps.ZoomControl();

var homeButton = new am4core.Button();
homeButton.events.on("hit", function(){
  chart.goHome();
});

homeButton.icon = new am4core.Sprite();
homeButton.padding(7, 5, 7, 5);
homeButton.width = 30;
homeButton.icon.path = "M16,8 L14,8 L14,16 L10,16 L10,10 L6,10 L6,16 L2,16 L2,8 L0,8 L8,0 L16,8 Z M16,8";
homeButton.marginBottom = 10;
homeButton.parent = chart.zoomControl;
homeButton.insertBefore(chart.zoomControl.plusButton);

}); // end am4core.ready()
</script>
</head>
	<body bgcolor="#01053c">
	<div id="chartdiv" style="padding-top:50px;"></div>
	</body>
</html>	
